Ask Your Question
0

Can't run latest upgrades (api-ms-win-crt-runtime-l1-1-0.dll is missing) [closed]

asked 2017-10-22 19:53:35 +0200

BywaterNYC gravatar image

updated 2017-10-22 19:57:15 +0200

Hello, all.

I'm currently running v5.2.7.2. My last two upgrade attempts have failed because of this glitch:

"The program can't start because api-ms-win-crt-runtime-l1-1-0.dll is missing from your computer. Try reinstalling the program to fix this problem"

This is a known bug. After reading through the relevant forum threads, I've decided to wait for a bug fix instead of trying to fix it myself. (From what I've read, the so-called fix doesn't always work. And I'm not a very tech-savvy guy.)

For now, I'm happy with v5.2.7.2.

Thanks.

Brooks

Windows 7 Pro x64 — LibreOffice v5.2.7.2

edit retag flag offensive reopen merge delete

Closed for the following reason duplicate question by erAck
close date 2018-10-17 20:49:01.515239

Comments

4 Answers

Sort by » oldest newest most voted
0

answered 2017-10-23 01:35:55 +0200

Regina gravatar image
edit flag offensive delete link more
0

answered 2017-10-25 18:40:54 +0200

I had the exact same problem yesterday and freaked out because I can't afford Office or any of that stuff and I've found Libre Office to be brilliant and better than MOffice. LO told me there was an update, so I followed it, installed the latest version and discovered I no longer could open LO at all, tried several times and got same message as you. I uninstalled it from the control panel programmes list then re-installed version 5.3.6.1 I also had (same as the previous failed attempts that gave me the same error message as you) at the same time a couple of tabs open with stuff going on. When a pop-up box opened during install asking me something like "an application that is required is being used by Google Chrome, do you want to shut down or afterwards?...."something like that (sorry, I'm not tech savvy either) ....so this time I closed all tabs with other internet stuff going on and just had the LO install window stuff open....and that was a success...phew, back to normal! Hope that helps if the previous person's answer didn't help you.

edit flag offensive delete link more
0

answered 2017-10-26 12:34:34 +0200

BywaterNYC gravatar image

Hi, Fluxplay. Thanks for chiming in. Like you, my solution was to return to an earlier version of LibreOffice. (The last version to work on my system was 5.2.7.2). For now, at least, I'm back in the saddle.

My thanks also to Regina for linking me to those two discussions. After reading both threads, I've decided to wait for an official fix.

Cheers, everyone.

edit flag offensive delete link more
0

answered 2018-08-05 01:19:22 +0200

I'm using a fresh install of Win 8.1 and ran into the same issue. I'm a bit tech savvy so I'm trying to install the Visual C++ 2015 Redistributable Update 3.

Just wanted to add my 2-cents' worth because the last date this error was reported to the bug thread was in May 2018. Still not fixed in LO v. 6.0.6, in other words.

edit flag offensive delete link more

Comments

I'm pretty sure it's fixed in tdf#108580 (see comment 60 there for details), and what you see is a corrupt system. See e.g. tdf#115405. When user's system reports it has everything required, and in reality it does not (i.e., it lies to installer == somehow corrupt), this isn't something a software package should be dealing with.

If you believe you have another problem, then please provide full build log (see second link above for details).

Mike Kaganski gravatar imageMike Kaganski ( 2018-08-05 07:28:18 +0200 )edit

Question Tools

1 follower

Stats

Asked: 2017-10-22 19:53:35 +0200

Seen: 4,450 times

Last updated: Aug 05 '18